CREATE TABLE bm_config_search_group (
    ID                 NUMBER(18, 0) ,
    REF_TYPE           NUMBER(5, 0)      NOT NULL,
    REF_ID             NUMBER(18, 0)     NOT NULL,
    SEARCH_TYPE        NUMBER(5, 0)      NOT NULL,
    NAME               VARCHAR2(1024)    NOT NULL,
    DESCRIPTION        VARCHAR2(2048),
    SEARCH_ITEM_IDS    VARCHAR2(4000),
    ORDER_NUMBER       NUMBER(5, 0)      NOT NULL,
    STATUS             NUMBER(1, 0)      NOT NULL,
    START_DATE         DATE          ,
    END_DATE           DATE          ,
    DATE_ADDED         DATE              NOT NULL,
    DATE_MODIFIED      DATE          ,
    VARIABLE_NAME      VARCHAR2(256) ,
    GUID               VARCHAR2(1020)    NOT NULL,
    ID                 NUMBER(18, 0) ,
    REF_TYPE           NUMBER(5, 0)      NOT NULL,
    REF_ID             NUMBER(18, 0)     NOT NULL,
    SEARCH_TYPE        NUMBER(5, 0)      NOT NULL,
    NAME               VARCHAR2(1024)    NOT NULL,
    DESCRIPTION        VARCHAR2(2048),
    SEARCH_ITEM_IDS    VARCHAR2(4000),
    ORDER_NUMBER       NUMBER(5, 0)      NOT NULL,
    STATUS             NUMBER(1, 0)      NOT NULL,
    START_DATE         DATE          ,
    END_DATE           DATE          ,
    DATE_ADDED         DATE              NOT NULL,
    DATE_MODIFIED      DATE          ,
    VARIABLE_NAME      VARCHAR2(256) ,
    GUID               VARCHAR2(1020)    NOT NULL,
    CONSTRAINT pk_bm_config_search_group PRIMARY KEY (ID, ID)
);
